From 91ba61ff69dc02a412eebae6222793e803b13ec2 Mon Sep 17 00:00:00 2001
From: Andreas Sturmlechner <asturm@gentoo.org>
Date: Tue, 17 Apr 2018 13:47:27 +0200
Subject: [PATCH] Fix build with Qt 5.11_beta3 (dropping qt5_use_modules)

---
 CMakeLists.txt           | 1 +
 src/osgQt/CMakeLists.txt | 2 +-
 2 files changed, 2 insertions(+), 1 deletion(-)

diff --git a/CMakeLists.txt b/CMakeLists.txt
index aaea748..4345ea2 100644
--- a/CMakeLists.txt
+++ b/CMakeLists.txt
@@ -487,6 +487,7 @@ ENDIF()
 
 #If we have found Qt5, let's try to top off by getting the webkit as well
 IF ( Qt5Widgets_FOUND )
+    FIND_PACKAGE(Qt5OpenGL REQUIRED)
     FIND_PACKAGE(Qt5WebKitWidgets QUIET)
 
     IF(COMMAND cmake_policy)
diff --git a/src/osgQt/CMakeLists.txt b/src/osgQt/CMakeLists.txt
index 60f3250..e4523e0 100644
--- a/src/osgQt/CMakeLists.txt
+++ b/src/osgQt/CMakeLists.txt
@@ -85,5 +85,5 @@ ENDIF( QT4_FOUND )
 SETUP_LIBRARY(${LIB_NAME})
 
 IF ( Qt5Widgets_FOUND )
-    qt5_use_modules( ${LIB_NAME} Widgets OpenGL )
+    TARGET_LINK_LIBRARIES( ${LIB_NAME} Qt5::Widgets Qt5::OpenGL )
 ENDIF ( Qt5Widgets_FOUND )
-- 
2.17.0

